package com.tourism.webadmin.app.website.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tourism.webadmin.app.website.dto.CreateGroupDto;
import com.tourism.webadmin.app.website.dto.CreateMemberDto;
import com.tourism.webadmin.app.website.dto.MessageDTO;
import com.tourism.webadmin.app.website.dto.UpdateGroupDto;
import com.tourism.webadmin.back.model.TourImGroup;
import com.tourism.webadmin.back.model.TourImGroupInvitation;
import com.tourism.webadmin.back.model.TourUser;
import com.tourism.webadmin.back.vo.TourImGroupVo;

import java.util.List;

public interface TourGroupService extends IService<TourImGroup> {

    /**
     * 创建群聊
     * @param params
     */
    Long createGroup(CreateGroupDto params);

    /**根据群聊查询管理员*/
    List<TourUser> getAdmin(Long groupId);

    /**
     * 退出群聊
     * @param groupId
     */
    void exitGroup(TourImGroup groupId);

    /**
     * 修改群信息
     * @param groupDto
     */
    void updateGroup(UpdateGroupDto groupDto,TourImGroup group );


    /**
     *  群申请审核
     * @param
     */
    boolean applyIsPass(List<TourImGroupInvitation>list, String isPass,String gourpId);

    /**判断用户是否是群聊管理员*/

    boolean isAdmin(Long groupId,Long userId);

    String createMember(CreateMemberDto params);
}
